{
  "format_version": "1.20.50",
  "minecraft:block": {
    "description": {
      "identifier": "rc:crushing_wheel_system",
      "menu_category": {
        "group": "itemGroup.name.create",
        "category": "none"
      },
      "states": {
        "rc:direcao": [ "x", "z" ]
      }
    },
    "components": {
      "minecraft:selection_box": {
        "origin": [ -8, 0, -8],
        "size": [ 0, 0, 0 ]
    },
    "minecraft:collision_box": {
      "origin": [ -8, 0, -8],
      "size": [ 16, 16, 16 ]
    },
    "minecraft:material_instances": {
      "*": {
        "texture": "png",
        "render_method": "alpha_test"
      }
    },
      "minecraft:geometry": { 
         "identifier": "geometry.six_faces_block"
       },
       "minecraft:queued_ticking": {
         "interval_range": [
           1,
           1
         ],
         "looping": true,
         "on_tick": {
           "event": "ticking"
         }
       },
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 0.3
      }
    },
    "events": {
      "ticking":{
        "sequence":[
          {
        "run_command":{
          "command":[
            "scriptevent rc:crushing_wheel_systemConnect"
              ]
            }
          }
        ]
      }
    }
  }
}